---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:29Z"
    creationTimestamp: "2025-10-27T11:31:11Z"
    labels:
      prometheus: kube-controller-manager
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:prometheus: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:29Z"
    name: kube-controller-manager
    namespace: openshift-kube-controller-manager
    resourceVersion: "48748"
    uid: 3491e49e-98a5-4f6d-b7c8-c0329d2258e1
  subsets:
  - addresses:
    - ip: 10.46.248.134
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-controller-manager-cnvqe-072.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-controller-manager
        uid: 118175e7-d10f-4e48-9989-61281e4aa45d
    - ip: 10.46.248.41
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-controller-manager-cnvqe-070.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-controller-manager
        uid: f742da1a-4c20-47ff-85a7-f598d3e0c6cc
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-controller-manager-cnvqe-071.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-controller-manager
        uid: a776098e-57da-4d80-866d-4ddf9748b373
    ports:
    - name: https
      port: 10257
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2220214"
